Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
goals
List goals
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/goals \
  --header 'Authorization: Basic <encoded-value>'
{
  "goals": [
    {
      "goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Retirement Fund",
      "goal_type": "retirement",
      "target_amount": "500000.00",
      "target_date": "2045-01-01",
      "currency": "USD",
      "priority": 5,
      "initial_amount": "<string>",
      "current_amount": "<string>",
      "progress_percent": "<string>",
      "amount_remaining": "<string>",
      "monthly_contribution": "<string>",
      "projected_completion_date": "2023-12-25",
      "on_track": true,
      "portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "active",
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The investor account ID

Query Parameters

status
enum<string>

Filter by goal status

Available options:
active,
completed,
archived
goal_type
enum<string>

Filter by goal type

Available options:
retirement,
education,
emergency,
wealth_growth,
home_purchase,
custom
include_projections
boolean
default:false

Include goal progress and projections

Response

Goals retrieved successfully

goals
object[]
total_count
integer